## mclibs 20061220%2Bdfsg3

=== debian/rules ===
#!/usr/bin/make -f

# source package name and modules included in the source package
MY_NAME = mclibs
MY_MODULES = Imakefile cfortran include mclibs phtools

include /usr/share/cernlib/cernlib-debian.mk

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install -s
	dh_installexamples -s -XImakefile -XREADME
	dh_installdocs -s
	dh_installchangelogs -s
	dh_strip -s
	dh_link -s
	dh_compress -s -X.F
	dh_fixperms -s
	for package in libeurodec1 libcojets2 libherwig59-2 libisajet758-3 \
		libpdflib804-2 libphotos202-1 libphtools2 ; do \
		dh_makeshlibs -p$${package}-gfortran ; \
	done
	dh_shlibdeps -s -lshlib
	dh_installdeb -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installexamples -i
	dh_installdocs -i
	dh_installman -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -X.dat -X.kumac -X.F -X.sh

	# Fudge metapackage docs a little bit for efficiency:
	rm -rf debian/cernlib-montecarlo/usr/share/doc/cernlib-montecarlo
	ln -sf montecarlo-base \
		debian/cernlib-montecarlo/usr/share/doc/cernlib-montecarlo

	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch

.PHONY: binary binary-indep binary-arch
