## mclibs 20061220+dfsg3

=== debian/changelog ===
mclibs (20061220+dfsg3-3) unstable; urgency=low

  * debian/control:
    - remove obsolete dpatch package from build-dep.
    - remove obsolete DM-Upload-Allowed field.
    - bump Standards-Version to 3.9.4.
  * Remove unused lintian-overrides.
  * Set source format to 3.0 (quilt).
  * Support multiarch.

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 24 Aug 2013 01:13:53 +0800

mclibs (20061220+dfsg3-2) unstable; urgency=low

  * Rename debian/debhelper to debian/dh to prevent empty packages.
  * Override lintian-error, dpatch is needed for building.

 -- Lifeng Sun <lifongsun@gmail.com>  Fri, 15 Mar 2013 08:18:45 +0800

mclibs (20061220+dfsg3-1) unstable; urgency=low

  * New maintainer. Thanks Kevin B. McCarty for contributing to the HEP
    free software community over the years. (Closes: #619394)
  * Bump Standards-Version to 3.9.1
    - debian/copyright: specify current version of GPL.
    - change upstream version to 20061220, hence repackage orig.tar.gz.
    - Add ${misc:Depends} to debian/control Depends for all binary
      packages.
    - debian/control.d/{libcojets2,libherwig59-2,libisajet758-3,
      libpdflib804-2,libphtools2}-dev.control: change "Conflicts" to
      "Breaks".
  * Remove duplicated "section" field from control files:
    - debian/control.d/cernlib-montecarlo.control
    - debian/control.d/montecarlo-base.control
    - debian/control.d/montecarlo-data.control
  * debian/source/format: set source format to 1.0.
  * debian/source/lintian-overrides: add overrides
    - duplicate-short-description libpdflib804-2-dev libpdflib804-2-gfortran
    - duplicate-short-description libphotos202-1-gfortran libphotos202-dev
    - debian-watch-file-is-missing: the upstream is dead.
  * debian/lintian-overrides/{libcojets2,libeurodec1,libherwig59-2,
    libisajet758-3,libpdflib804-2,libphotos202-1,libphtools2}-gfortran:
    override no-symbols-control-file.
  * debian/control.d/0base.control: add Vcs-{Git,Browser} and Homepage
    fields.

  [ Sylvestre Ledru ]
  * Switch to dpkg-source 3.0 (quilt) format

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 28 Mar 2011 18:06:57 +0800

mclibs (2006.dfsg.2-5) unstable; urgency=low

  * "Apps/Science" --> "Science/Physics" in doc-base files, following
    section update in doc-base 0.8.10.
  * Upload to unstable.

 -- Kevin B. McCarty <kmccarty@debian.org>  Mon, 25 Feb 2008 11:50:57 -0800

mclibs (2006.dfsg.2-4) experimental; urgency=low

  * Gfortran transition:
    - Add -gfortran suffix to runtime library package names.
    - Change build-depends and -dev package depends appropriately.
    - s/g77/gfortran/g in various files.
  * Take this opportunity to insert the soversion into the libphotos202
    package name, fixing lintian warning.
  * Make libisajet arch: any, since perhaps gfortran will be able to compile
    it on m68k more successfully than g77 was (crossing fingers).
  * New patch 220: Build libisajet with isaset() compiled in.
  * New patch 221: Patch hepevt.inc before compiling rather than after.
  * Patch 806, debian/debhelper/*isajet*, debian/control.d/*isajet*: Hence,
    bump isajet soversion to 3 due to ABI change.
  * Remove obsolete tetex-bin alternative from build-depends.
  * Resurrect montecarlo-data arch: all package, and move data files to
    /usr/share/montecarlo-data/ (in order to be installable in parallel with
    old g77-based runtime library packages).  Have the cojets, isajet and
    eurodec runtime and libdevel packages Recommend montecarlo-data.
  * Install example files for libisajet and libcojets into their libdevel
    packages.  Add a couple of files explaining how to build and run the
    example programs.
  * debian/copyright*: Mention the (optional) switch to GPL v3.

  * Trivial changes:
    - Bump Standards-Version to 3.7.3.
    - Fix extra leading whitespace in doc-base abstracts.
    - Add dpatch comment to dummy patch 000.
    - Remove mention of no-longer-used "keepbuild" $DEB_BUILD_OPTIONS flag in
      README.source.
    - debian/*: Uniformly capitalize CERNLIB, CERN and GEANT (except in old
      changelog and NEWS entries).

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 08 Feb 2008 10:34:33 -0800

mclibs (2006.dfsg.2-3) unstable; urgency=low

  * New patch 807: Compile libeurodec test program statically linked
    against CERN libs on 64-bit machines.

 -- Kevin B. McCarty <kmccarty@debian.org>  Tue, 08 Jan 2008 09:45:10 -0800

mclibs (2006.dfsg.2-2) unstable; urgency=low

  * Build-Depend on a cernlib-base-dev new enough to include the test
    suite rules for make, and to have a fix for a bug that occurs if there
    are no *.dpatch.in files in debian/patches.
  * Get rid of alternative tetex-bin Build-Dependency.
  * Ensure that upstream's test suite is run by adding TEST_PACKAGES variable
    in debian/add-ons/Makefile.
  * New patch 213, many thanks to Patrice Dumas: Fix Imakefiles for building
    test programs.
  * Revise patch 321 to sync with change in patch 213 to the file
    mclibs/isajet/test/Imakefile, and to add an empty test:: target when
    CERNLIB_GFORTRAN is #defined and the test is skipped.
  * In order for test suite to use in-tree data files, delete the patch
    301-datafiles-comply-with-FHS.  [The code modified by this patch is not
    compiled into any of the libraries, and only one modified file is
    installed into a Debian package (eufiles.inc).]  Instead of applying a
    patch before compilation, modify the copy of eufiles.inc in the
    installation directory with sed in the install-includes target of
    debian/add-ons/Makefile.

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 04 Jan 2008 16:59:29 -0800

mclibs (2006.dfsg.2-1) unstable; urgency=low

  * Rebuild source package.  The directory name inside the orig.tar.gz was
    wrong, due to #416008.
  * Include file README.Debian-source as mandated by Developers' Reference.
  * Upload into unstable.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 26 Apr 2007 01:43:38 -0400


