=== debian/control ===
Source: mclibs
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
Standards-Version: 3.9.4
Priority: optional
Section: science
Homepage: http://wwwasd.web.cern.ch/wwwasd/cernlib/mc.html
Build-Depends: dpkg-dev (>= 1.13.19), patch, mawk | gawk, xutils-dev, debhelper (>= 5.0.0), gfortran (>= 4:4.3), libblas-dev, liblapack-dev, cernlib-base-dev (>= 20061220+dfsg3-3), libmathlib2-dev (>= 2006.dfsg.2-7), texlive-latex-base
Vcs-Git: git://anonscm.debian.org/debian-science/packages/mclibs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/mclibs.git

Package: cernlib-montecarlo
Architecture: all
Depends: cernlib-base (>= 2006.dfsg.2-7), montecarlo-base (= ${source:Version}), libcojets2-dev (>= 2006.dfsg.2-4), libeurodec1-dev (>= 2006.dfsg.2-4), libherwig59-2-dev (>= 2006.dfsg.2-4), libpdflib804-2-dev (>= 2006.dfsg.2-4), libphotos202-dev (>= 2006.dfsg.2-4), libphtools2-dev (>= 2006.dfsg.2-4), libisajet758-3-dev (>= 2006.dfsg.2-4), montecarlo-data (>= 2006.dfsg.2), ${misc:Depends}
Description: CERNLIB Monte Carlo libraries
 CERNLIB is a suite of data analysis tools and libraries created for
 use in physics experiments, but also with applications to other
 fields such as the biological sciences.
 .
 This metapackage provides various Monte Carlo libraries included in CERNLIB
 (both shared and static).  Likely only physicists will be interested in
 these packages.  Note that the GEANT 3.21 framework is not included, but it
 may be obtained by also installing the geant321 Debian package.
 .
 Be aware that the libraries of Ariadne, Fritiof, Jetset, Lepto, and Pythia are
 not available within Debian due to licensing issues; see the README.Debian
 file in the montecarlo-base package for information on obtaining them.

Package: libcojets2-dev
Architecture: any
Section: libdevel
Depends: cernlib-base-dev (>= 2006.dfsg.2-7), libmathlib2-dev (>= 2006.dfsg.2-7), libcojets2-gfortran (= ${binary:Version}), ${misc:Depends}
Recommends: montecarlo-data (>= 2006.dfsg.2)
Replaces: libcojets1-dev
Breaks: libcojets1-dev (<= 2004.11.04.dfsg-0sarge1)
Description: [Physics] COJETS p-p and pbar-p interaction Monte Carlo
 COJETS is a Monte Carlo library which simulates pbar-p and p-p interactions at
 high energy.  The interaction process is first calculated at the parton level
 by means of perturbative QCD and the Weinberg-Salam model for electroweak
 interactions.  Partons are then independently fragmented into jets of hadrons,
 according to the Field-Feynman model, and the beam jets contribution is
 added, according to a longitudinal phase-space model.  Multiple QCD radiation
 of initial and final partons is included.
 .
 This is the static version of the library.  The package also includes
 FORTRAN header files and documentation for COJETS.

Package: libcojets2-gfortran
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, montecarlo-base, ${misc:Depends}
Recommends: montecarlo-data (>= 2006.dfsg.2)
Description: [Physics] COJETS p-p and pbar-p interaction Monte Carlo library
 COJETS is a Monte Carlo library which simulates pbar-p and p-p interactions at
 high energy.  The interaction process is first calculated at the parton level
 by means of perturbative QCD and the Weinberg-Salam model for electroweak
 interactions.  Partons are then independently fragmented into jets of hadrons,
 according to the Field-Feynman model, and the beam jets contribution is
 added, according to a longitudinal phase-space model.  Multiple QCD radiation
 of initial and final partons is included.
 .
 Note that in order to compile and link programs against this library, you
 must also install the libcojets2-dev package.

Package: libeurodec1-dev
Architecture: any
Section: libdevel
Depends: cernlib-base-dev (>= 2006.dfsg.2-7), cfortran (>= 4.4-10), libc6-dev | libc-dev, libeurodec1-gfortran (= ${binary:Version}), ${misc:Depends}
Recommends: montecarlo-data (>= 2006.dfsg.2)
Description: [Physics] Monte Carlo library for quark / heavy lepton decays
 Eurodec is a general purpose Monte Carlo library for the fragmentation and
 decay of quarks, di-quarks, heavy leptons, etc.  It can be used with the
 included event generator EUROJET, or with your own event generator.
 .
 This is the static version of the library.  FORTRAN header files are also
 included.

Package: libeurodec1-gfortran
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, cernlib-base (>= 2006.dfsg.2-7), montecarlo-base, ${misc:Depends}
Recommends: montecarlo-data (>= 2006.dfsg.2)
Description: [Physics] Monte Carlo library for quark and heavy lepton decays
 Eurodec is a general purpose Monte Carlo library for the fragmentation and
 decay of quarks, di-quarks, heavy leptons, etc.  It can be used with the
 included event generator EUROJET, or with your own event generator.
 .
 Note that in order to compile and link programs against this library, you
 must also install the libeurodec1-dev package.

Package: libherwig59-2-dev
Architecture: any
Section: libdevel
Depends: cernlib-base-dev (>= 2006.dfsg.2-7), libpdflib804-2-dev (= ${binary:Version}), libherwig59-2-gfortran (= ${binary:Version}), ${misc:Depends}
Replaces: libherwig59-dev
Breaks: libherwig59-dev (<= 2004.11.04.dfsg-0sarge1)
Description: [Physics] Monte Carlo event generator for hadrons (development)
 HERWIG is a general-purpose event generator for high energy hadronic
 processes, with particular emphasis on the detailed simulation of
 QCD parton showers.
 .  
 This is the static version of the library.  Also included are a FORTRAN
 header file and some documentation.

Package: libherwig59-2-gfortran
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, montecarlo-base, ${misc:Depends}
Description: [Physics] Monte Carlo event generator simulating hadronic events
 HERWIG is a general-purpose event generator for high energy hadronic
 processes, with particular emphasis on the detailed simulation of
 QCD parton showers. 
 .
 Note that in order to compile and link programs against this library, you
 must also install the libherwig59-2-dev package.

Package: libisajet758-3-dev
Architecture: any
Section: libdevel
Depends: libpdflib804-2-dev (= ${binary:Version}), libisajet758-3-gfortran (= ${binary:Version}), ${misc:Depends}
Recommends: montecarlo-data (>= 2006.dfsg.2)
Replaces: libisajet758-dev, libisajet758-2-dev
Breaks: libisajet758-dev (<= 2004.11.04.dfsg-0sarge1), libisajet758-2-dev (<= 2006.dfsg.2-3)
Description: [Physics] Monte Carlo generator for proton/electron reactions
 ISAJET is a Monte Carlo library which simulates p-p, pbar-p, and e+ e-
 interactions at high energies.  The library is based on perturbative QCD
 combined with phenomenological models for parton and beam jet fragmentation.
 ISAJET incorporates ISASUSY, which evaluates branching ratios for the minimal
 supersymmetric extension of the Standard Model.
 .  
 This is the static version of the library.  Also included are FORTRAN header
 files and some documentation.

Package: libisajet758-3-gfortran
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, montecarlo-base, ${misc:Depends}
Recommends: montecarlo-data (>= 2006.dfsg.2)
Description: [Physics] Monte Carlo generator for proton / electron reactions
 ISAJET is a Monte Carlo library which simulates p-p, pbar-p, and e+ e-
 interactions at high energies.  The library is based on perturbative QCD
 combined with phenomenological models for parton and beam jet fragmentation.
 ISAJET incorporates ISASUSY, which evaluates branching ratios for the minimal
 supersymmetric extension of the Standard Model.
 .
 Note that in order to compile and link programs against this library, you
 must also install the libisajet758-3-dev package.

Package: libpdflib804-2-dev
Architecture: any
Section: libdevel
Depends: cernlib-base-dev (>= 2006.dfsg.2-7), libmathlib2-dev (>= 2006.dfsg.2-7), libpdflib804-2-gfortran (= ${binary:Version}), ${misc:Depends}
Replaces: libpdflib804-dev
Breaks: libpdflib804-dev (<= 2004.11.04.dfsg-0sarge1)
Description: [Physics] Comprehensive library of parton density functions
 The PDFLIB package gathers about 100 different sets of Parton Density
 Functions into a comprehensive library in a consistent way.  Density functions
 are available for the nucleon, pion and photon.  The library also allows the
 calculation of the strong force coupling constant to first or second order
 at a given value of Q-squared.
 .
 This is the static version of the library.  Also included are FORTRAN
 header files and some documentation.

Package: libpdflib804-2-gfortran
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, montecarlo-base, ${misc:Depends}
Description: [Physics] Comprehensive library of parton density functions
 The PDFLIB package gathers about 100 different sets of Parton Density
 Functions into a comprehensive library in a consistent way.  Density functions
 are available for the nucleon, pion and photon.  The library also allows the
 calculation of the strong force coupling constant to first or second order
 at a given value of Q-squared.
 .
 Note that in order to compile and link programs against this library, you
 must also install the libpdflib804-2-dev package.

Package: libphotos202-1-gfortran
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, cernlib-base (>= 2006.dfsg.2-7), montecarlo-base, ${misc:Depends}
Description: [Physics] Monte Carlo simulation of photon radiation in decays
 The PHOTOS library simulates QED photon radiative corrections in
 electromagnetic decays.  The library is universal; it allows for easy
 interface with any program generating decays of any particle.  It can be
 used to estimate the size of the QED bremsstrahlung in leading-logarithmic
 approximation.  The proper soft photon behavior is also reproduced.
 .
 Note that in order to compile and link programs against this library, you
 must also install the libphotos202-dev package.

Package: libphotos202-dev
Architecture: any
Section: libdevel
Depends: cernlib-base-dev (>= 2006.dfsg.2-7), cfortran (>= 4.4-10), libc6-dev | libc-dev, libphotos202-1-gfortran (= ${binary:Version}), ${misc:Depends}
Description: [Physics] Monte Carlo simulation of photon radiation in decays
 The PHOTOS library simulates QED photon radiative corrections in
 electromagnetic decays.  The library is universal; it allows for easy
 interface with any program generating decays of any particle.  It can be
 used to estimate the size of the QED bremsstrahlung in leading-logarithmic
 approximation.  The proper soft photon behavior is also reproduced.
 .  
 This is the static version of the library.

Package: libphtools2-dev
Architecture: any
Section: libdevel
Depends: cernlib-base-dev (>= 2006.dfsg.2-7), libmathlib2-dev (>= 2006.dfsg.2-7), libphtools2-gfortran (= ${binary:Version}), ${misc:Depends}
Replaces: libphtools1-dev
Breaks: libphtools1-dev (<= 2004.11.04.dfsg-0sarge1)
Description: [Physics] General purpose Monte Carlo routines (development files)
 This library contains three main routines.  FOWL allows calculation of phase
 space distributions arising from particle interactions, generated in a
 Lorentz-invariant way.  GENBOD is an N-body event generator, taking as
 input the center-of-mass energy, number and masses of outgoing particles.
 WICO traces a ray geometrically in a "Winston Cone" light concentrator.
 .  
 This is the static version of the library.

Package: libphtools2-gfortran
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, montecarlo-base, ${misc:Depends}
Description: [Physics] General purpose Monte Carlo routines
